Slackware: 2019-077-01: libssh2 Security Update

    Date18 Mar 2019
    CategorySlackware
    526
    Posted ByLinuxSecurity Advisories
    New libssh2 packages are available for Slackware 14.2 and -current to fix security issues.
    
    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1
    
    [slackware-security]  libssh2 (SSA:2019-077-01)
    
    New libssh2 packages are available for Slackware 14.2 and -current to
    fix security issues.
    
    
    Here are the details from the Slackware 14.2 ChangeLog:
    +--------------------------+
    patches/packages/libssh2-1.8.1-i586-1_slack14.2.txz:  Upgraded.
      Fixed several security issues.
      For more information, see:
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3855
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3856
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3857
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3858
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3859
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3860
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3861
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3862
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3863
      (* Security fix *)
    +--------------------------+
    
    
    Where to find the new packages:
    +-----------------------------+
    
    Thanks to the friendly folks at the OSU Open Source Lab
    (http://osuosl.org) for donating FTP and rsync hosting
    to the Slackware project!  :-)
    
    Also see the "Get Slack" section on http://slackware.com for
    additional mirror sites near you.
    
    Updated package for Slackware 14.2:
    ftp://ftp.slackware.com/pub/slackware/slackware-14.2/patches/packages/libssh2-1.8.1-i586-1_slack14.2.txz
    
    Updated package for Slackware x86_64 14.2:
    ftp://ftp.slackware.com/pub/slackware/slackware64-14.2/patches/packages/libssh2-1.8.1-x86_64-1_slack14.2.txz
    
    Updated package for Slackware -current:
    ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/l/libssh2-1.8.1-i586-1.txz
    
    Updated package for Slackware x86_64 -current:
    ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/l/libssh2-1.8.1-x86_64-1.txz
    
    
    MD5 signatures:
    +-------------+
    
    Slackware 14.2 package:
    42862bdd55431f6c32f38250275b70fc  libssh2-1.8.1-i586-1_slack14.2.txz
    
    Slackware x86_64 14.2 package:
    3932a95faa37ee1575300fff666b1f4b  libssh2-1.8.1-x86_64-1_slack14.2.txz
    
    Slackware -current package:
    a8a256fffd0ee22986b4a8ebeb1f6b68  l/libssh2-1.8.1-i586-1.txz
    
    Slackware x86_64 -current package:
    14e5f9dd239afd45c3faa27fc02f7c25  l/libssh2-1.8.1-x86_64-1.txz
    
    
    Installation instructions:
    +------------------------+
    
    Upgrade the package as root:
    # upgradepkg libssh2-1.8.1-i586-1_slack14.2.txz
    
    
    +-----+
    
    You are not authorised to post comments.

    LinuxSecurity Poll

    Do you reuse passwords across multiple accounts?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 2 answer(s).
    /component/communitypolls/?task=poll.vote
    13
    radio
    [{"id":"55","title":"Yes","votes":"0","type":"x","order":"1","pct":0,"resources":[]},{"id":"56","title":"No","votes":"0","type":"x","order":"2","pct":0,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.